#ifndef FILE_PERSRC_H
#define FILE_PERSRC_H

#include "pefile.hpp"

class ResourceExtract
{
public:
  static void ExtractIcons(PeFile& peFile);

  static void WriteIconInfo(PeFile& file);
  static void WriteAnimatedIconInfo(PeFile& file);
  static void WriteCursorInfo(PeFile& file);
  static void WriteAnimatedCursorInfo(PeFile& file);
  static void WriteBitmapInfo(PeFile& file);
  static void WriteMenuInfo(PeFile& file);
  static void WriteDialogInfo(PeFile& file);
  static void WriteStringTableInfo(PeFile& file);
  static void WriteVersionInformationInfo(PeFile& file);
};

#endif //FILE_PERSRC_H
